import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/process/primitives/ellipse.dart';

class URMEllipseMeasure extends Ellipse {
  URMEllipseMeasure(super.meta, super.parent);

  static URMEllipseMeasure createURMEllipseDenMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMEllipseMeasure measureEllipse = URMEllipseMeasure(meta, parent);
    return measureEllipse;
  }

  static URMEllipseMeasure createURMEllipseHist(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMEllipseMeasure measureHist = URMEllipseMeasure(meta, parent);
    return measureHist;
  }

  static URMEllipseMeasure createURMEllipseDenVelMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMEllipseMeasure measureEllipseDenVel = URMEllipseMeasure(meta, parent);
    return measureEllipseDenVel;
  }

  static URMEllipseMeasure createURMEllipseDensity(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMEllipseMeasure measureEllipseDensity = URMEllipseMeasure(meta, parent);
    return measureEllipseDensity;
  }

  static URMEllipseMeasure createURMEllipseFractalDim(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMEllipseMeasure measureEllipseFractalDim =
        URMEllipseMeasure(meta, parent);
    return measureEllipseFractalDim;
  }
}
