import 'package:fis_common/logger/logger.dart';
import 'package:fis_measure/process/primitives/trace.dart';
import 'package:fis_measure/process/workspace/urm/application.dart';
import '../calculator.dart';

/// 曲线弯曲度计算
class URMCurveCurvatureLineCal extends Calculator<Trace, double> {
  URMCurveCurvatureLineCal(
    Trace ref,
  ) : super(ref);
  @override
  void calculate() {}

  @override
  Future<void> calculateAsync() async {
    try {
      if (ref.feature == null) return;
      if (ref.application is! URMApplication) return;

      // TODO 规划入参，坐标系转换，调用接口，处理返回结果
    } catch (e) {
      logger.e('URM Measure error: $e');
      return;
    }
  }
}
