import 'package:fis_measure/interfaces/process/items/item.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/process/primitives/trace.dart';

class URMShellMeasure extends Trace {
  URMShellMeasure(super.meta, super.parent);

  static URMShellMeasure createURMShellDenMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellDen = URMShellMeasure(meta, parent);
    return measureShellDen;
  }

  static URMShellMeasure createURMShellVelMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellVel = URMShellMeasure(meta, parent);
    return measureShellVel;
  }

  static URMShellMeasure createURMShellDensityMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellDensity = URMShellMeasure(meta, parent);
    return measureShellDensity;
  }

  static URMShellMeasure createURMShellFractalDimMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellFractalDim = URMShellMeasure(meta, parent);
    return measureShellFractalDim;
  }

  static URMShellMeasure createURMShellPerfusionMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellPerfusion = URMShellMeasure(meta, parent);
    return measureShellPerfusion;
  }

  static URMShellMeasure createURMShellHistMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellHist = URMShellMeasure(meta, parent);
    return measureShellHist;
  }

  static URMShellMeasure createURMShellDenVelMeasure(ItemMeta meta,
      [IMeasureItem? parent]) {
    URMShellMeasure measureShellDenVel = URMShellMeasure(meta, parent);
    return measureShellDenVel;
  }
}
